First Last Prev Next    No search results available      Search page      Enter new bug
Bug#: 128103
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: GNU Emacs Team <emacs@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Bernhard Ager <ager@in.tum.de>
Add CC:
CC:
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 128103 depends on: 124860 Show dependency tree
Show dependency graph
Bug 128103 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)







View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2006-03-30 05:59 0000
Ecb displays strings instead of icons in its trees. This is because the
directory ecb-images form the source tarball is not properly copied to the
install directory.

A patch to fix this follows below (only tested with version 2.24). Please
apply.

--- /usr/portage/app-emacs/ecb/ecb-2.24.ebuild  2005-07-16 22:35:35.000000000
+0200
+++ /usr/local/portage/app-emacs/ecb/ecb-2.24.ebuild    2006-03-30
14:17:06.540177094 +0200
@@ -44,6 +44,7 @@

 src_install() {
        elisp-install ${PN} *.el *.elc
+       cp -r ecb-images ${D}/${SITELISP}/${PN}/
        elisp-site-file-install ${FILESDIR}/70ecb-gentoo.el
        dodoc NEWS README RELEASE_NOTES
        doinfo info-help/ecb.info*

------- Comment #1 From Matthew Kennedy (RETIRED) 2006-04-26 09:19:35 0000 -------
Thanks for the note, I fixed ecb 2.32 and will get arch testers stablize it as
soon as 124860 is fixed.

------- Comment #2 From Matthew Kennedy (RETIRED) 2006-04-26 09:57:23 0000 -------
Arch testers for ppc, amd64 and x86:  Please stablize the *most recent*
app-emacs/ecb-2.32 ebuild.

------- Comment #3 From Tobias Scherbaum 2006-04-29 04:43:39 0000 -------
ppc stable

------- Comment #4 From Mark Loeser 2006-05-03 15:12:46 0000 -------
This ebuild should have its deps shuffled around so someone can "emerge ecb"
with java in their USE flags and not have to jump through hoops because of
blockers.

Here's my suggestion:

-       || ( ( >=app-emacs/speedbar-0.14_beta4
+       || ( app-emacs/cedet
+               ( >=app-emacs/speedbar-0.14_beta4
                >=app-emacs/semantic-1.4
                >=app-emacs/eieio-0.17 )
-               app-emacs/cedet )
+       )

------- Comment #5 From Matthew Kennedy (RETIRED) 2006-05-03 16:23:19 0000 -------
Re-ordered dependencies, so please re-keyword (ppc) app-emacs/ecb-2.32-r1

------- Comment #6 From Mark Loeser 2006-05-13 18:01:28 0000 -------
x86 done

------- Comment #7 From Simon Stelling (RETIRED) 2006-05-21 02:32:16 0000 -------
may amd64 be with you

------- Comment #8 From Joe Jezak 2006-05-25 16:15:24 0000 -------
hansmi has marked this ppc stable, thanks!

------- Comment #9 From Matthew Kennedy (RETIRED) 2006-05-25 19:58:17 0000 -------
case closed

First Last Prev Next    No search results available      Search page      Enter new bug